Altibase.jdbc.driver.logging

## Class PreparedStmtLoggingProxy

- java.lang.Object
- - Altibase.jdbc.driver.logging.LoggingProxy
  - - Altibase.jdbc.driver.logging.StatementLoggingProxy
    - - Altibase.jdbc.driver.logging.PreparedStmtLoggingProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Direct Known Subclasses:
  CallableStmtLoggingProxy

    public class PreparedStmtLoggingProxy
    extends StatementLoggingProxy

java.sql.PreparedStatement 인터페이스를 hooking하는 Proxy클래스
logSql메소드와 getUniqueId메소드만 오버라이딩하고 나머지는 부모클래스에서 상속받아 사용한다.

Author:
  yjpark

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.logging.StatementLoggingProxy

`METHOD_PREFIX_EXECUTE`

### Fields inherited from class Altibase.jdbc.driver.logging.LoggingProxy

`JDBC_LOGGER_ASYNCFETCH, JDBC_LOGGER_CM, JDBC_LOGGER_DEFAULT, JDBC_LOGGER_FAILOVER, JDBC_LOGGER_POOL, JDBC_LOGGER_ROWSET, JDBC_LOGGER_XA, METHOD_PREFIX_CLOSE, mLogger, mTarget, mTargetName`

### Constructor Summary

Constructors
Constructor and Description
`PreparedStmtLoggingProxy(java.lang.Object aTarget, java.sql.Connection aConn)`
`PreparedStmtLoggingProxy(java.lang.Object aTarget, java.lang.String aTargetName, java.sql.Connection aConn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getUniqueId()` PreparedStatement 같은 경우 서버에서 받아온 Statement id를 unique id로 사용한다.
`void` `logSql(java.lang.reflect.Method aMethod, java.lang.Object aResult, java.lang.Object[] aArgs)` CONFIG레벨로 셋팅되었을 때 sql문을 출력한다.

### Methods inherited from class Altibase.jdbc.driver.logging.StatementLoggingProxy

`createProxyWithReturnValue, logSqlTiming`

### Methods inherited from class Altibase.jdbc.driver.logging.LoggingProxy

`invoke, logClose, logReturnValue, makeArgStr`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreparedStmtLoggingProxy

    public PreparedStmtLoggingProxy(java.lang.Object aTarget,
                                    java.sql.Connection aConn)

#### PreparedStmtLoggingProxy

    public PreparedStmtLoggingProxy(java.lang.Object aTarget,
                                    java.lang.String aTargetName,
                                    java.sql.Connection aConn)

### Method Detail

#### logSql

    public void logSql(java.lang.reflect.Method aMethod,
                       java.lang.Object aResult,
                       java.lang.Object[] aArgs)

Description copied from class: `LoggingProxy`
CONFIG레벨로 셋팅되었을 때 sql문을 출력한다.

Overrides:
  `logSql` in class `StatementLoggingProxy`

#### getUniqueId

    public java.lang.String getUniqueId()

PreparedStatement 같은 경우 서버에서 받아온 Statement id를 unique id로 사용한다.

Overrides:
  `getUniqueId` in class `StatementLoggingProxy`